Subject: bug#21164: closed (Re: bug#21164: 25.0.50; char-fold search broken for multi-line searches (sometimes))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Aug 2015 16:40:02 +0000

Your bug report

#21164: 25.0.50; char-fold search broken for multi-line searches (sometimes)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21164: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21164
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21164: 25.0.50; char-fold search broken for multi-line searches (sometimes)
From: Artur Malabarba <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Aug 2015 17:39:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Great!

2015-08-13 23:46 GMT+01:00 Dima Kogan <[email-masked]>:
> Artur Malabarba <[email-masked]> writes:
>
>> I just pushed commit a5bdb87 which should fix this.
>> Dima, could you confirm that it solves your issue?
>
> Yes, that patch resolves the issue. Thanks!
>
>
>

Subject: 25.0.50; char-fold search broken for multi-line searches (sometimes)
From: Dima Kogan <[email-masked]>
To: [email-masked]
Date: Thu, 30 Jul 2015 21:06:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. I'm using a very recent emacs built from the git HEAD. Sometime in
the recent past the default C-s behavior was changed to include
char-folding by default. There's a bug here. Suppose I have a buffer
containing the following C source.

----------------------------------------------------
int a(void)
{
  for(unsigned long x = 0;
      x < 10;
      x += 2)
  {
    nvm_flash_erase_app_page( x );
  }
}

int b(void)
{
  for(unsigned long x = 0;
      x < 10;
      x += 2)
  {
  }
}
----------------------------------------------------

Note that the two functions are identical. I place the point at the
start of one of the 'for' statements, then C-s to enter char-folding
isearch, then C-w to grab some amount of text to search for. While I'm
grabbing text that's still on the 'for' line, isearch sees the other
match, highlights it, and I can jump to it by hitting C-s. However, if I
hit C-w enough times to go to the next line, the other match is no
longer seen. This resolves when I turn off char-folding.